@ECHO OFF
cd BIOS
echo Checking ROM file .....
CKMODE SH110000.100 SH110 4042
if errorlevel 1 goto end

:flash
AFUDOSA5.exe SH110000.100 /P /B /N
if errorlevel 1 goto end

FPT.exe -f SH110000.100 -me
if errorlevel 1 goto end

call DISEUP.EXE
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit